<!DOCTYPE HTML>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset="/>
    <meta http-equiv="Pragma" content="no-cache">
    <meta http-equiv="Expires" content="-1">
    <meta http-equiv="CACHE-CONTROL" content="NO-CACHE">
    <!--Added existing css to apply style on form-input type -->
	<link rel="stylesheet" type="text/css" href="../css/skin.2013.css?v=1.2.10T01">
	<title>Login-Vertiv G3 USER</title>
</head>
<%var args= it.args,data = it.data ? it.data : it;%>
    <%
    /*用户级别*/
    var AuthorityList = ["/*[ID_AUTHORITY_LEVEL0]*/","/*[ID_AUTHORITY_LEVEL1]*/","/*[ID_AUTHORITY_LEVEL2]*/","/*[ID_AUTHORITY_LEVEL3]*/"];
    %>
    <div id="userList">
      <div class="table-container border-bn">                    
        <div class="table-title"><span>/*[ID_WEB_HEAD]*/</span></div>
          <div class="table-list">
             <div class="table">
                <div class="table-header">
                    <ul>
                        <li class="t-1">&nbsp;</li>
                        <li class="t-2"><strong class="left pl">/*[ID_USER_NAME]*/</strong></li>
                        <li class="t-3"><strong class="left pl">/*[ID_USER_AUTHORITY]*/</strong></li>
						<li class="t-4"><strong class="left pl">/*[ID_LCD_LOGIN]*/</strong></li>
                    </ul>
                </div>
                <div class="table-body">
                    <%for(var i=0,ilen=data.content.length-1; i<ilen; i++){ %>
                        <ul class= "<%if(i%2==0){%> gray <%if(i==ilen-1){ %> bottom_line <%}}else{ %><%if(i==ilen-1){ %> bottom_line2 <%}} %>">
                        <li class="t-1"><span class="left pl"><div name="userSelect" value="{'_name':'<%=data.content[i][1] %>','_privilege':'<%=data.content[i][2] %>','_contact':'<%=data.content[i][3] %>'}" class="radiodiv radiodivnot"></div></span></li>
                        <li class="t-2"><span class="left pl"><%=data.content[i][1] %></span></li>
                        <li class="t-3"><span class="left pl"><%=AuthorityList[data.content[i][2]-1] %></span></li>
						<li class="t-4"><span class="left pl"><%=data.content[i][3] %></span></li>
                    </ul>
                    <%} %>
                </div>
                <div class="user-remove">
      <a href="#" hideFocus="true" class="btn_2 userDelete"><span>/*[ID_USER_DELETE]*/</span></a></span>
      </div>
            </div>
        </div>
      </div>
      
      <div class="set-form">
         <div class="table-title"><span>/*[ID_MODIFY_ADD]*/</span></div>
         <form action="../cgi-bin/web_cgi_setting.cgi" id="userForm" method="POST">
            <input type="hidden" name="sessionId" value="<%=args['sessionId'] %>">
            <input type="hidden" name="language_type" value="1">
            <input type="hidden" name="_modify_configure" value="3" />
            <input type="hidden" name="_modify_configure_detail" value="11" id="_modify_configure_detail" />
            <input type="hidden" name="_authority_level" id="_authority_level" value="1" />
            <input type="hidden" name="_submit" value="_add_user" id="_submit" />
            <table cellspacing="0" cellpadding="0" class="table-b">
                <tbody>
                    <tr>
                        <td><p class="right"><label>/*[ID_USER_NAME1]*/:</label></p></td>
                        <td><p class="left padding-ln"><input type="text" maxlength="8"  placeholder="" pattern="[A-Za-z0-9]{1,20}" name="_name" id="_name"  onFocus="this.select()" /></p><div class="setting_user_name"></div></td>
                        <td><p class="right"><label>/*[ID_USER_AUTHORITY1]*/:</label></p></td>
                        <td>
                            <div class="dropdown">
                            <div class="input_select set_value" data-index="1" name="_privilege" id="_privilege"><%=AuthorityList[0] %></div>
                                <ul class="language yinc">
                                     <li><a href="#" rel="1"><%=AuthorityList[0] %></a></li>
                                     <li><a href="#" rel="2"><%=AuthorityList[1] %></a></li>
                                     <li><a href="#" rel="3"><%=AuthorityList[2] %></a></li>
                                     <li><a href="#" rel="4"><%=AuthorityList[3] %></a></li>
                                </ul>
                            </div>
                       </td>
                    </tr>
                     <tr>
                        <td><p class="right"><label>/*[ID_PASSWORD]*/:</label></p></td>
                        <td><p class="left padding-ln">
                                <% if (!!window.ActiveXObject || "ActiveXObject" in window){%>
                                <input type="password" maxlength="13" value="" name="_password1" id="_password1" autocomplete="off"/>
                                <%}else{%>
                                <form style="display:none">
                                <input type="password" style="width:0;"/>
                                </form>
                                <input type="password" style="width:0;height:0;float:left;visibility:hidden"/>
                                <input type="password" maxlength="13" value="" name="_password1" id="_password1" autocomplete="off" style="margin-left:-16px;" />
                                <%} %>
                            </p>
                            <div class="setting_password"></div>
                        </td>
                            <td><p class="right"><label>/*[ENABLE_LCD_LOGIN]*/:</label></p></td>
				            <td style="text-align:left">
				            <p class="right padding-ln radio">
				            <input type="checkbox" name="_lcdEnable" id="_lcdEnable"  class="checkbox" /></p></td>
                    </tr>
                     <tr>
                        <td><p class="right" style="margin-bottom: 14px; margin-top: 8px"><label>/*[ID_CONFIRM]*/:</label></p></td>
                        <td><p class="left padding-ln"><input type="password" maxlength="13" value="" name="_password2" id="_password2" style="margin-bottom: 14px; margin-top: 8px" /></p>
                        <div class="setting_confirm"></div></td>
                    </tr>
                </tbody>
            </table>
            <div class="user-set">
                <a href="#" hideFocus="true" class="btn_2 userModify"><span>/*[ID_USER_MODIFY]*/</span></a>
                <a href="#" hideFocus="true" class="btn_2 userAdd"><span>/*[ID_USER_ADD]*/</span></a>
                <a href="#" hideFocus="true" class="btn_2 formReset"><span>/*[ID_RESET]*/</span></a>
            </div>
         </form>
      </div>
          <div class="set-form">
  				<div class="table-title"><span>/*[ID_RADIUS]*/</span></div>
				<form action="../cgi-bin/web_cgi_setting.cgi" id="RadiusForm" method="POST">
          <input type="hidden" name="sessionId" value="<%=args['sessionId'] %>">
          <input type="hidden" name="language_type" value="1">
          <input type="hidden" name="_modify_configure" value="21" />
          <input type="hidden" name="_modify_configure_detail" value="61" id="_modify_configure_detail" />
          <input type="hidden" name="_authority_level" id="_authority_level" value="1" />
          <input type="hidden" name="_submit" value="_rSave" id="_submit1" />
            <table cellspacing="0" cellpadding="0" class="table-b">
             <tbody>
                <tr>
                <td><p class="right"><label>/*[ID_ENABLE_RADIUS]*/:</label></p></td>
    	    	    <td style="text-align:left">
    	    	    <p class="right padding-ln radio">
	    	   	 <input type="checkbox" name="_radiusenable" id="_radiusenable" class="checkbox" <%if (data.content[ilen][0]=="on"){ %> checked <% }%> />
                </p></td>
                <td><p class="right"><label>/*[ID_NASIDENTIFIER]*/:</label></p></td>
    	    	    <td style="text-align:left">
    	    	    <p class="right padding-ln radio">
                    <input type="checkbox"  id="_nasidentifier" name="_nasidentifier"  class="checkbox" <%if (data.content[ilen][1]=="on"){ %> checked <% }%> />
            	     </p></td>
                    </tr>
                    <tr>
                        <td><p class="right"><label>/*[ID_PRIMARY_SERVER]*/:</label></p></td>
                        <td><p class="left padding-ln"><input type="text" maxlength="15" value=<%if (data.content[ilen][2]){ %> <%=data.content[ilen][2]%> <% }else{%> "" <% }%> name="_pserver" id="_pserver" style="float:left" />
                        </p>
                        <div class="setting_r_primary_server"></div>
                        </td>
                        <td><p class="right"><label>/*[ID_PRIMARY_PORT]*/:</label></p></td>
                        <td><p class="left padding-ln "><input type="text" maxlength="5" value=<%if (data.content[ilen][4]){ %> <%=data.content[ilen][4]%> <% }else{%> "1812" <% }%> name="_p1port" id="_p1port" style="float:left" />
                        </p>
                        <div class="setting_r_primary_port"></div>
                        </td>

                    </tr>
                    <tr>
                        <td><p class="right"><label>/*[ID_SECONDARY_SERVER]*/:</label></p></td>
                        <td><p class="left padding-ln "><input type="text" maxlength="15" value=<%if (data.content[ilen][3]){ %> <%=data.content[ilen][3]%> <% }else{%> "" <% }%> name="_sserver" id="_sserver" style="float:left" /></p>
                            <div class="setting_r_secondary_server"></div>
                        </td>
                        <td><p class="right"><label>/*[ID_SECONDARY_PORT]*/:</label></p></td>
                        <td><p class="left padding-ln "><input type="text" maxlength="5" value=<%if (data.content[ilen][5]){ %> <%=data.content[ilen][5]%> <% }else{%> "1812" <% }%> name="_p2port" id="_p2port" style="float:left" />
                        </p>
                        <div class="setting_r_secondary_port_i" style="color: #FF0000;position: absolute;top: 95px;" ></div>
                        </td>
                    </tr>
                     <tr>
                        <td><p class="right"><label>Secret Key:</label></p></td>
                        <td><p class="left padding-ln for_enable_disable_cls">
                                <input type="password" maxlength="31" value=<%if (data.content[ilen][6]){ %> <%=data.content[ilen][6]%> <% }else{%> "" <% }%> name="_passwordR"  id="_passwordR" autocomplete="off" style="float:left" /> 
                            </p>
                            <div class="setting_r_secret_key"></div>
                        </td>
                     </tr>       
                    <tr>
         			<td><p class="right" style="margin-bottom: 14px; margin-top: 8px;"><label>/*[ID_CONFIRM_SECRET]*/:</label></p></td>
                         <td><p class="left padding-ln for_enable_disable_cls"><input type="password" maxlength="31" value=<%if (data.content[ilen][6]){ %> <%=data.content[ilen][6]%> <% }else{%> "" <% }%>name="_passwordC" id="_passwordC" style="margin-bottom: 14px; margin-top: 8px"/>
                         </p>
                         <div class="setting_r_confirm"></div>
                             
                    </td>
            </tr>
    
         </tbody>
            </table>
            <div class="user-remove">
                <a href="#" hideFocus="true" class="btn_2 rSave"><span>/*[ID_SAVE]*/</span></a></span>
                
            </div>
         </form>
         </div>
</div>
</body></html>
<%
Language["setting_user"] = {
	"errors":[
		"/*[ID_ERROR0]*/",	/*[0]"Unknown error!"*/
		"/*[ID_ERROR1]*/",	/*[1]"Success"*/
		"/*[ID_ERROR2]*/",	/*[2]"Failure, administrator authority required!"*/
		"/*[ID_ERROR3]*/",	/*[3]"Failure, the user name already exists!"*/
		"/*[ID_ERROR4]*/",	/*[4]"Failure, incomplete information!"*/
		"/*[ID_ERROR5]*/",	/*[5]"Failure, ACU is hardware protected"*/
		"/*[ID_ERROR6]*/",	/*[6]"Failure, incorrect password!"*/
		"/*[ID_ERROR7]*/",	/*[7]"Failure, deleting admin is not allowed!"*/
		"/*[ID_ERROR8]*/",	/*[8]"Failure, not enough space!"*/
		"/*[ID_ERROR9]*/",	/*[9]"Failure, user already existed!"*/
		"/*[ID_ERROR10]*/",	/*[10]"Failure, too many users!"*/
		"/*[ID_ERROR11]*/",	/*[11]"Failuer, user is not exist!"*/
        "/*[ID_ERROR12]*/",	/*[12]"Failure, deleting engineer is not allowed!"*/
        "/*[ID_ERROR13]*/",	/*[13]"Enabled Radius Settings!"*/
        "/*[ID_ERROR14]*/"	/*[14]"Disabled Radius Settings!"*/
	],
	"tips":[
		"/*[ID_TIPS1]*/",	/*[0]"Please enter an user name."*/
		"/*[ID_TIPS3]*/",	/*[1]"Passwords do not match."*/
		"/*[ID_TIPS9]*/",	/*[2]"Please select a user."*/
		"/*[ID_TIPS11]*/",	/*[3]"Please enter password."*/
		"/*[ID_TIPS12]*/",	/*[4]"Please confirm password."*/
		"/*[ID_TIPS13]*/",	/*[5]"Only modifying password can be valid for account 'admin'."*/
		"/*[ID_TIPS14]*/",	/*[6]"User name or password can only be letter or number or '_'."*/
		"/*[ID_TIPS15]*/",	/*[7]"Are you sure to modify"*/
		"/*[ID_TIPS16]*/",	/*[8]"s information?"*/
		"/*[ID_TIPS17]*/",	/*[9]"The password must contain at least six characters."*/
		"/*[ID_TIPS18]*/",	/*[10]"OK to delete?"*/
		"/*[ID_TIPS19]*/",	/*[11]"Only modifying password can be valid for account 'engineer'."*/
		"/*[ID_TIPS20]*/",	/*[12]"Valid E-Mail should contain the char '@' eg.name@emerson.com" */
        "/*[ID_TIPS21]*/",	/*[13]"Please enter an IP Address."*/
        "/*[ID_TIPS22]*/",	/*[14]"You have entered an invalid primary server IP!"*/
        "/*[ID_TIPS23]*/",	/*[15]"You have entered an invalid secondary server IP!"*/
        "/*[ID_TIPS24]*/",	/*[16]"Are you sure to update Radius server configuration."*/
        "/*[ID_TIPS25]*/",	/*[17]"Please Enter Port Number."*/
        "/*[ID_TIPS26]*/",	/*[18]"Please enter secret key!"*/
        "/*[ID_TIPS27]*/",	/*[19]"Confirm secret key!"*/
        "/*[ID_TIPS28]*/"	/*[20]"Secret key do not match."*/
	]
};
%>
<script>
        if(!(window.location.href.toString().indexOf("hl")>-1))
        {
            var IPurl = window.location.href.toString().split("app")[0];
            window.location.href=""+IPurl+"app/www_user/html/eng/login.html";
        }
</script>